Bug 18138 - Отвалился NM_CONTROLLED=no
: Отвалился NM_CONTROLLED=no
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/NetworkManager)
: unstable
: x86 Linux
: P2 normal
Assigned To:
:
:
:
:
: 28419
  Show dependency tree
 
Reported: 2008-12-08 11:49 by
Modified: 2014-11-19 17:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-08 11:49:53
По всей видимости игнорируестя NM_CONTROLLED=no

#cat /etc/net/ifaces/usb0/options
TYPE=usb
#MODULE=cdc_ether
ONBOOT=no
DISABLED=no
NM_CONTROLLED=no
BOOTPROTO=static

#cat /etc/net/ifaces/usb0/ipv4address
192.168.0.200/24

Сразу после подключения устройства:
#sudo ip a s usb0
29: usb0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UNKNOWN qlen 1000
    link/ether 56:a5:3f:49:bb:05 brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.200/24 scope global usb0


Но через несколько секунд:
#sudo ip a s usb0
29: usb0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state
UNKNOWN qlen 1000
    link/ether 56:a5:3f:49:bb:05 brd ff:ff:ff:ff:ff:ff

С остановленным сервисом NetworkManager ситуация не воспроизводится.
------- Comment #1 From 2008-12-08 14:02:58 -------
Что при этом в /var/log/messages?
------- Comment #2 From 2008-12-08 14:32:02 -------
Dec  8 18:32:14 banzay-book kernel: [ 6342.624178] usb 1-1: new full speed USB
device using uhci_hcd and address 5
Dec  8 18:32:14 banzay-book kernel: [ 6342.815529] usb 1-1: configuration #1
chosen from 2 choices
Dec  8 18:32:14 banzay-book kernel: [ 6342.840708] usb0: register 'cdc_ether'
at usb-0000:00:1d.0-1, CDC Ethernet Device, 56:a5:3f:49:bb:05
Dec  8 18:32:14 banzay-book kernel: [ 6342.849836] usb 1-1: New USB device
found, idVendor=1457, idProduct=5122
Dec  8 18:32:14 banzay-book kernel: [ 6342.849844] usb 1-1: New USB device
strings: Mfr=1, Product=2, SerialNumber=0
Dec  8 18:32:14 banzay-book kernel: [ 6342.849847] usb 1-1: Product:
RNDIS/Ethernet Gadget
Dec  8 18:32:14 banzay-book kernel: [ 6342.849866] usb 1-1: Manufacturer: Linux
2.6.24mw-gc7283981/s3c2410_udc
Dec  8 18:32:15 banzay-book NetworkManager: <info>  usb0: driver is
'cdc_ether'.
Dec  8 18:32:15 banzay-book NetworkManager: <info>  Found new Ethernet device
'usb0'.
Dec  8 18:32:15 banzay-book NetworkManager: <info>  (usb0): exported as
/org/freedesktop/Hal/devices/net_56_a5_3f_49_bb_05
Dec  8 18:32:15 banzay-book NetworkManager: <info>  (usb0): carrier now ON
(device state 1)
Dec  8 18:32:19 banzay-book NetworkManager: <info>  (usb0): device state
change: 1 -> 2
Dec  8 18:32:19 banzay-book NetworkManager: <info>  (usb0): preparing device.
Dec  8 18:32:19 banzay-book NetworkManager: <info>  (usb0): deactivating device
(reason: 2).
Dec  8 18:32:19 banzay-book NetworkManager: <info>  (usb0): device state
change: 2 -> 3
------- Comment #3 From 2008-12-08 19:12:26 -------
В NetworkManager-0.7.0-alt11 думаю поправил, если это тот случай. Проверьте
пожалуйста, как до Сизифа доедет.
------- Comment #4 From 2008-12-10 09:52:17 -------
(In reply to comment #3)
> В NetworkManager-0.7.0-alt11 думаю поправил, если это тот случай. Проверьте пожалуйста,
> как до Сизифа доедет.
> 

не помогло.

Dec 10 09:51:28 banzay-book kernel: [54719.848686] usb 1-1: new full speed USB
device using uhci_hcd and address 26
Dec 10 09:51:28 banzay-book kernel: [54720.044138] usb 1-1: configuration #1
chosen from 2 choices
Dec 10 09:51:28 banzay-book kernel: [54720.066687] usb0: register 'cdc_ether'
at usb-0000:00:1d.0-1, CDC Ethernet Device, da:37:42:fd:05:f0
Dec 10 09:51:28 banzay-book kernel: [54720.084840] usb 1-1: New USB device
found, idVendor=1457, idProduct=5122
Dec 10 09:51:28 banzay-book kernel: [54720.084840] usb 1-1: New USB device
strings: Mfr=1, Product=2, SerialNumber=0
Dec 10 09:51:28 banzay-book kernel: [54720.084840] usb 1-1: Product:
RNDIS/Ethernet Gadget
Dec 10 09:51:28 banzay-book kernel: [54720.084840] usb 1-1: Manufacturer: Linux
2.6.24mw-gc7283981/s3c2410_udc
Dec 10 09:51:28 banzay-book NetworkManager: <info>  usb0: driver is
'cdc_ether'.
Dec 10 09:51:28 banzay-book NetworkManager: <info>  Found new Ethernet device
'usb0'.
Dec 10 09:51:28 banzay-book NetworkManager: <info>  (usb0): exported as
/org/freedesktop/Hal/devices/net_da_37_42_fd_05_f0
Dec 10 09:51:28 banzay-book NetworkManager: <info>  (usb0): carrier now ON
(device state 1)
Dec 10 09:51:32 banzay-book NetworkManager: <info>  (usb0): device state
change: 1 -> 2
Dec 10 09:51:32 banzay-book NetworkManager: <info>  (usb0): preparing device.
Dec 10 09:51:32 banzay-book NetworkManager: <info>  (usb0): deactivating device
(reason: 2).
Dec 10 09:51:32 banzay-book NetworkManager: <info>  Policy set 'dhcp eth0'
(eth0) as default for routing and DNS.
Dec 10 09:51:32 banzay-book NetworkManager: <info>  (usb0): device state
change: 2 -> 3

rpm -q NetworkManager
NetworkManager-0.7.0-alt11
------- Comment #5 From 2008-12-10 14:38:18 -------
(In reply to comment #4)
> > В NetworkManager-0.7.0-alt11 думаю поправил, если это тот случай. Проверьте пожалуйста,
> > как до Сизифа доедет.
> > 
> 
> не помогло.
> 

killall nm-system-settings от root если не перезагружались после апгрейда,
чтобы точно новый плагин работал. Он автоматом не перезапускается, что, видимо,
тоже стоит поправить.
------- Comment #6 From 2008-12-11 09:12:16 -------
Ура! Теперь всё работает правильно.
Не ожидал, что service NetworkManager restart будет недостаточно ))
Спасибо )
------- Comment #7 From 2013-01-21 14:12:02 -------
У меня сейчас такая же проблема на p6 с NetworkManager-0.8.6-alt3.M60P.1:

сначала eth0 нормально настраивается etcnet, потом NetworkManager его отключает
во время загрузки системы. И только когда логинимся в Xfce, соединение
"восстанавливается" networkManager-ом.

Хотелось бы, чтобы с 

$ cat /etc/net/ifaces/eth0/options
BOOTPROTO=static
TYPE=eth
NM_CONTROLLED=no
DISABLED=no
$ 

интерфейс был всегда поднят во время работы системы, независмо от
NetwotkManager-а (зачем он его вообше опусает?..)
------- Comment #8 From 2013-01-21 18:28:26 -------
NM_CONTROLLED=no должно быть достаточно.
Покажите что пишет NM в /var/log/messages.
------- Comment #9 From 2013-01-22 16:10:08 -------
(В ответ на комментарий №8)
> NM_CONTROLLED=no должно быть достаточно.
> Покажите что пишет NM в /var/log/messages.

После запуска service network интерфейс нормально поднят:

Jan 21 13:50:06 linux network: Computing interface groups: 
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux avahi-daemon[4969]: Successfully called chroot().
Jan 21 13:50:06 linux avahi-daemon[4969]: Successfully dropped remaining
capabilities.
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux gdmgreeter[4987]: WARNING: unknown escape code %R in text 
Jan 21 13:50:06 linux network:  2 interfaces found 
Jan 21 13:50:06 linux network: Starting group 0/virtual (1 interfaces) 
Jan 21 13:50:06 linux network: ^IStarting lo: 
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux avahi-daemon[4969]: Loading service file
/services/ssh.service.
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux avahi-daemon[4969]: Loading service file
/services/udisks.service.
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux network: OK 
Jan 21 13:50:06 linux network: Starting group 1/realphys (1 interfaces) 
Jan 21 13:50:06 linux network: ^IStarting eth0: 
Jan 21 13:50:06 linux network: . 
Jan 21 13:50:06 linux last message repeated 7 times
Jan 21 13:50:06 linux network: OK 
Jan 21 13:50:06 linux network: Processing /etc/net/vlantab: empty. 

А вот если я запущу service NetworkManager  , то интерфейс будет опущен:


Jan 21 13:51:36 linux NetworkManager: Setting network parameters: succeeded
Jan 21 13:51:36 linux NetworkManager[5590]: <info> NetworkManager (version
0.8.6) is starting...
Jan 21 13:51:36 linux NetworkManager[5590]: <info> Read config file
/etc/NetworkManager/NetworkManager.conf
Jan 21 13:51:36 linux NetworkManager: NetworkManager startup succeeded
Jan 21 13:51:36 linux NetworkManager[5590]: <info> VPN: loaded
org.freedesktop.NetworkManager.l2tp
Jan 21 13:51:36 linux NetworkManager[5590]: <info> VPN: loaded
org.freedesktop.NetworkManager.pptp
Jan 21 13:51:36 linux NetworkManager[5590]: <info> VPN: loaded
org.freedesktop.NetworkManager.vpnc
Jan 21 13:51:36 linux NetworkManager[5590]: <info> VPN: loaded
org.freedesktop.NetworkManager.openvpn
Jan 21 13:51:36 linux NetworkManager[5590]: <info> trying to start the modem
manager...
Jan 21 13:51:36 linux dbus[4094]: [system] Activating service
name='org.freedesktop.ModemManager' (using servicehelper)
Jan 21 13:51:36 linux NetworkManager[5590]: <info> monitoring kernel firmware
directory '/lib/firmware'.
Jan 21 13:51:36 linux NetworkManager[5590]:    etcnet-alt: Current network
profile: (none)
Jan 21 13:51:36 linux NetworkManager[5590]: <info> Loaded plugin etcnet-alt:
(c) 2008 Mikhail Efremov <sem@altlinux.org>.
Jan 21 13:51:36 linux modem-manager[5599]: <info>  ModemManager (version
0.5.2.0) starting... 
Jan 21 13:51:36 linux NetworkManager[5590]: <info> Loaded plugin keyfile: (c)
2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing
list.
Jan 21 13:51:36 linux dbus[4094]: [system] Successfully activated service
'org.freedesktop.ModemManager'
Jan 21 13:51:36 linux NetworkManager[5590]: <info> WiFi enabled by radio
killswitch; enabled by state file
Jan 21 13:51:36 linux NetworkManager[5590]: <info> WWAN enabled by radio
killswitch; enabled by state file
Jan 21 13:51:36 linux NetworkManager[5590]: <info> WiMAX enabled by radio
killswitch; enabled by state file
Jan 21 13:51:36 linux NetworkManager[5590]: <info> Networking is enabled by
state file
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin AnyData 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Generic 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Gobi 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Option
High-Speed 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Huawei 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Linktop 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Longcheer 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Ericsson MBM 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin MotoC 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Nokia 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Novatel 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Option 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Samsung 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Sierra 
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): carrier is ON
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): new Ethernet device
(driver: 'forcedeth' ifindex: 2)
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): exported as
/org/freedesktop/NetworkManager/Devices/0
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): now managed
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): device state change:
1 -> 2 (reason 2)
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): preparing device.
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): deactivating device
(reason: 2).
Jan 21 13:51:36 linux avahi-daemon[4969]: Withdrawing address record for
10.11.7.106 on eth0.
Jan 21 13:51:36 linux avahi-daemon[4969]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 10.11.7.106.
Jan 21 13:51:36 linux avahi-daemon[4969]: Interface eth0.IPv4 no longer
relevant for mDNS.
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin SimTech 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin Wavecom 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin X22X 
Jan 21 13:51:36 linux modem-manager[5599]: <info>  Loaded plugin ZTE 
Jan 21 13:51:36 linux NetworkManager[5590]: <info> modem-manager is now
available
Jan 21 13:51:36 linux NetworkManager[5590]: <warn> bluez error getting default
adapter: No such adapter
Jan 21 13:51:36 linux NetworkManager[5590]: <info> Trying to start the
supplicant...
Jan 21 13:51:36 linux dbus[4094]: [system] Activating service
name='fi.epitest.hostap.WPASupplicant' (using servicehelper)
Jan 21 13:51:36 linux NetworkManager[5590]: <info> (eth0): device state change:
2 -> 3 (reason 0)

До тех пор, пока кто-то не зайдёт в Xfce с апплетом:

Jan 21 13:59:25 linux gnome-keyring-daemon[6135]: GLib-GIO: Using the 'memory'
GSettings backend.  Your settings will not be saved or shared with other
applications.
Jan 21 13:59:25 linux gnome-keyring-daemon[6135]: couldn't set environment
variable in session: The name org.gnome.SessionManager was not provided by any
.service files
Jan 21 13:59:25 linux last message repeated 2 times
Jan 21 13:59:26 linux gnome-keyring-daemon[6135]: The GPG agent was already
initialized
Jan 21 13:59:26 linux gnome-keyring-daemon[6135]: The PKCS#11 component was
already initialized
Jan 21 13:59:26 linux gnome-keyring-daemon[6135]: The Secret Service was
already initialized
Jan 21 13:59:26 linux gnome-keyring-daemon[6135]: The SSH agent was already
initialized
Jan 21 13:59:27 linux dbus[4094]: [system] Activating service
name='org.freedesktop.UDisks' (using servicehelper)
Jan 21 13:59:27 linux dbus[4094]: [system] Successfully activated service
'org.freedesktop.UDisks'
Jan 21 13:59:31 linux dbus[4094]: [system] Activating service
name='org.freedesktop.UPower' (using servicehelper)
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) starting
connection 'п\220п╡я\202п╬п╪п╟я\202п╦я\207п╣я\201п╨п╬п╣ (Ethernet)'
Jan 21 13:59:31 linux NetworkManager[5590]: <info> (eth0): device state change:
3 -> 4 (reason 0)
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 1 of
5 (Device Prepare) scheduled...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 1 of
5 (Device Prepare) started...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 2 of
5 (Device Configure) scheduled...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 1 of
5 (Device Prepare) complete.
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 2 of
5 (Device Configure) starting...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> (eth0): device state change:
4 -> 5 (reason 0)
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 2 of
5 (Device Configure) successful.
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 3 of
5 (IP Configure Start) scheduled.
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 2 of
5 (Device Configure) complete.
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 3 of
5 (IP Configure Start) started...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> (eth0): device state change:
5 -> 7 (reason 0)
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 4 of
5 (IP4 Configure Get) scheduled...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 3 of
5 (IP Configure Start) complete.
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 4 of
5 (IP4 Configure Get) started...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Scheduling stage 5
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 5 of
5 (IP Configure Commit) scheduled...
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Done scheduling stage 5
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 4 of
5 (IP4 Configure Get) complete.
Jan 21 13:59:31 linux NetworkManager[5590]: <info> Activation (eth0) Stage 5 of
5 (IP Configure Commit) started...
Jan 21 13:59:31 linux avahi-daemon[4969]: Joining mDNS multicast group on
interface eth0.IPv4 with address 10.11.7.106.
Jan 21 13:59:31 linux avahi-daemon[4969]: New relevant interface eth0.IPv4 for
mDNS.
Jan 21 13:59:31 linux avahi-daemon[4969]: Registering new address record for
10.11.7.106 on eth0.IPv4.
Jan 21 13:59:32 linux NetworkManager[5590]: <info> (eth0): writing resolv.conf
to /sbin/resolvconf
Jan 21 13:59:32 linux dbus[4094]: [system] Successfully activated service
'org.freedesktop.UPower'
Jan 21 13:59:33 linux NetworkManager[5590]: <info> (eth0): device state change:
7 -> 8 (reason 0)
Jan 21 13:59:33 linux NetworkManager[5590]: <info> Policy set
'п\220п╡я\202п╬п╪п╟я\202п╦я\207п╣я\201п╨п╬п╣ (Ethernet)' (eth0) as default for
IPv4 routing and DNS.
Jan 21 13:59:33 linux NetworkManager[5590]: <info> Activation (eth0)
successful, device activated.
Jan 21 13:59:33 linux NetworkManager[5590]: <info> Activation (eth0) Stage 5 of
5 (IP Configure Commit) complete.
Jan 21 13:59:33 linux dbus[4094]: [system] Activating service
name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jan 21 13:59:33 linux dbus[4094]: [system] Successfully activated service
'org.freedesktop.nm_dispatcher'
Jan 21 13:59:42 linux pulseaudio[6403]: pid.c: Daemon already running.
Jan 21 13:59:42 linux pulseaudio[6404]: pid.c: Daemon already running.
Jan 21 13:59:46 linux dbus[4094]: [system] Activating service
name='org.blueman.Mechanism' (using servicehelper)
Jan 21 13:59:47 linux blueman-mechanism: Starting blueman-mechanism  
Jan 21 13:59:47 linux dbus[4094]: [system] Successfully activated service
'org.blueman.Mechanism'
Jan 21 13:59:47 linux blueman-mechanism: reload 0 0  
Jan 21 13:59:59 linux nmbd[5174]: [2013/01/21 13:59:59.556863,  0]
nmbd/nmbd_become_lmb.c:395(become_local_master_stage2) 
Jan 21 13:59:59 linux nmbd[5174]:   ***** 
Jan 21 13:59:59 linux nmbd[5174]:    
Jan 21 13:59:59 linux nmbd[5174]:   Samba name server LINUX is now a local
master browser for workgroup WORKGROUP on subnet 10.11.7.106 
Jan 21 13:59:59 linux nmbd[5174]:    
Jan 21 13:59:59 linux nmbd[5174]:   ***** 
Jan 21 14:00:17 linux blueman-mechanism: Exiting  

Такое поведение меня не устраивает -- что нет сети пока кто-то не залогинится.

При этом отключать NetworkManager не хочется, потому что он оказывается удобен
для подключения через телефон-модем.

Настройки:

/etc/net/ifaces/eth0/options :

BOOTPROTO=static
TYPE=eth
NM_CONTROLLED=no
DISABLED=no

-----------------------------------

/etc/sysconfig/network :

# When set to no, this may cause most daemons' initscripts skip starting.
NETWORKING=yes

# Used by hotplug/pcmcia/ifplugd scripts to detect current network config
# subsystem.
CONFMETHOD=etcnet

# Used by rc.sysinit to setup system hostname at boot.
HOSTNAME=linux.local

# This is used by ALTLinux ppp-common to decide if we want to install
# nameserver lines into /etc/resolv.conf or not.
RESOLV_MODS=yes
FORWARD_IPV4=false

---------------------------

/etc/sysconfig/NetworkManager :

# Settings for running NetworkManager daemon

# If defined network parameters will be applied from the
# specified file.
NM_SYSCTL_CONF=/etc/net/sysctl.conf

# This value will be pass to stop_daemon as
# --retry $NM_STOP_TIMEOUT.
# By defaul '4' will be assumed.
#NM_STOP_TIMEOUT=4

# If yes then a network interfaces which controlled by
# NetworkManager, but do not disabled for etcnet
# will be bringing down before NetworkManager start.
NM_DOWN_CONTROLLED=yes

# If yes kill ModemManager when NetworkManager is stopped.
NM_STOP_MODEMMANAGER=yes

# If defined, then there will be the delay while boot until
# a network connection will be established by NetworkManager.
# The value is a maximum waiting time specified in seconds.
# NOTE: It will work properly only if the network interfaces
# controlled by NetworkManager and configured in some
# system-wide way, by a configuration files in /etc/net or
# NetworkManager's keyfile plugin configs.
#NM_CONNECTION_WAIT=30

# Normally NetworkManager don't deconfigure and down ifaces on exit,
# and all dispatcher scripts are not executed.
# If defined it will disconnect all controlled ifaces.
NM_STOP_ONEXIT=yes

# If yes run efw for interface on up/down.
#NM_RUN_EFW=yes

# If yes run ifup-post/ifdown-post scripts from /etc/net/ for iface.
#NM_RUN_ETCNET_POST=yes

------------------------------------

~ $ rpm -qf /etc/sysconfig/NetworkManager
NetworkManager-0.8.6-alt3.M60P.1
~ $ rpm -V {rpm -qf /etc/sysconfig/NetworkManager}
отсутствует /var/log/NetworkManager
~ $
------- Comment #10 From 2013-01-22 16:11:11 -------
Может, мне попробовать поставить NetworkManager (я на p6) из Sisyphus?
------- Comment #11 From 2013-01-22 23:23:18 -------
(Дальше обсуждение последнего случая см. в
https://bugzilla.altlinux.org/show_bug.cgi?id=28419 , потому что он касается
p6.)
------- Comment #12 From 2014-11-19 17:20:46 -------
УМВР (проверено на регулярных сборках, учтено в mkimage-profiles)